Import products categories to the system
curl --request POST \
--url https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"items": [
{
"name": "Category 1",
"posProductParentCategoryId": "10",
"posProductCategoryId": "2",
"posCatalogId": "1"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
items: [
{
name: 'Category 1',
posProductParentCategoryId: '10',
posProductCategoryId: '2',
posCatalogId: '1'
}
]
})
};
fetch('https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories"
payload = { "items": [
{
"name": "Category 1",
"posProductParentCategoryId": "10",
"posProductCategoryId": "2",
"posCatalogId": "1"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"items\": [\n {\n \"name\": \"Category 1\",\n \"posProductParentCategoryId\": \"10\",\n \"posProductCategoryId\": \"2\",\n \"posCatalogId\": \"1\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"items\": [\n {\n \"name\": \"Category 1\",\n \"posProductParentCategoryId\": \"10\",\n \"posProductCategoryId\": \"2\",\n \"posCatalogId\": \"1\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories"
payload := strings.NewReader("{\n \"items\": [\n {\n \"name\": \"Category 1\",\n \"posProductParentCategoryId\": \"10\",\n \"posProductCategoryId\": \"2\",\n \"posCatalogId\": \"1\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"items\": [\n {\n \"name\": \"Category 1\",\n \"posProductParentCategoryId\": \"10\",\n \"posProductCategoryId\": \"2\",\n \"posCatalogId\": \"1\"\n }\n ]\n}")
.asString();{
"data": {
"status": "<string>",
"createdCount": 123,
"updatedCount": 123,
"errors": [
{
"entityId": "<string>",
"rowNumber": 123,
"errorMessage": "<string>",
"errorDetails": "<string>"
}
],
"warnings": [
{
"entityId": "<string>",
"rowNumber": 123,
"message": "<string>",
"details": "<string>"
}
]
}
}Import
Import products categories to the system
POST
/
pos
/
{posSystemId}
/
company
/
{posCompanyId}
/
import
/
productCategories
Import products categories to the system
curl --request POST \
--url https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"items": [
{
"name": "Category 1",
"posProductParentCategoryId": "10",
"posProductCategoryId": "2",
"posCatalogId": "1"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
items: [
{
name: 'Category 1',
posProductParentCategoryId: '10',
posProductCategoryId: '2',
posCatalogId: '1'
}
]
})
};
fetch('https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories"
payload = { "items": [
{
"name": "Category 1",
"posProductParentCategoryId": "10",
"posProductCategoryId": "2",
"posCatalogId": "1"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"items\": [\n {\n \"name\": \"Category 1\",\n \"posProductParentCategoryId\": \"10\",\n \"posProductCategoryId\": \"2\",\n \"posCatalogId\": \"1\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"items\": [\n {\n \"name\": \"Category 1\",\n \"posProductParentCategoryId\": \"10\",\n \"posProductCategoryId\": \"2\",\n \"posCatalogId\": \"1\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories"
payload := strings.NewReader("{\n \"items\": [\n {\n \"name\": \"Category 1\",\n \"posProductParentCategoryId\": \"10\",\n \"posProductCategoryId\": \"2\",\n \"posCatalogId\": \"1\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/pos/{posSystemId}/company/{posCompanyId}/import/productCategories")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"items\": [\n {\n \"name\": \"Category 1\",\n \"posProductParentCategoryId\": \"10\",\n \"posProductCategoryId\": \"2\",\n \"posCatalogId\": \"1\"\n }\n ]\n}")
.asString();{
"data": {
"status": "<string>",
"createdCount": 123,
"updatedCount": 123,
"errors": [
{
"entityId": "<string>",
"rowNumber": 123,
"errorMessage": "<string>",
"errorDetails": "<string>"
}
],
"warnings": [
{
"entityId": "<string>",
"rowNumber": 123,
"message": "<string>",
"details": "<string>"
}
]
}
}Authorizations
BearerAuthImplicitAuth
JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+jsonapplication/xmltext/xmlapplication/*+xml
Represents product items import category request for POS
Items to add
Show child attributes
Show child attributes
Response
Success
Results of import
Show child attributes
Show child attributes
⌘I